//------------------------------------------------------------------
#property copyright "www.forex-tsd.cm"
#property link      "www.forex-tsd.cm"
//------------------------------------------------------------------
#property indicator_chart_window
#property indicator_buffers 3
#property indicator_color1  LimeGreen
#property indicator_color2  DarkGray
#property indicator_color3  PaleVioletRed
#property indicator_style1  STYLE_DOT
#property indicator_style2  STYLE_DOT
#property indicator_style3  STYLE_DOT

//
//
//
//
//

extern int HighLowPeriod  = 10;

//
//
//
//
//

double bandUp[];
double bandMi[];
double bandDn[];

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

int init()
{
   SetIndexBuffer(0,bandUp);
   SetIndexBuffer(1,bandMi);
   SetIndexBuffer(2,bandDn);
   return(0);
}
int deinit()
{
   return(0); 
}

//
//
//
//
//

int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars < 0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(Bars-counted_bars,Bars-1);

   //
   //
   //
   //
   //
   
   for(int i = limit; i >= 0; i--)
   {
      bandUp[i] = High[ArrayMaximum(High,HighLowPeriod,i)];
      bandDn[i]  = Low[ArrayMinimum(Low,HighLowPeriod,i)];
      bandMi[i] = (bandUp[i]+bandDn[i])/2.0;
   }
   return(0);
}

